diff -urpN core.orig/base/db/db.install core/base/db/db.install
--- core.orig/base/db/db.install	2006-07-05 09:50:25.000000000 +0300
+++ core/base/db/db.install	2007-11-23 12:40:02.000000000 +0200
@@ -1,29 +1,8 @@
-# This is a default template for a post-install scriptlet.  You can
-# remove any functions you don't need (and this header).
-
-# arg 1:  the new package version
-# arg 2:  the old package version
-pre_upgrade() {
-  /bin/true
-}
-
-# arg 1:  the new package version
-# arg 2:  the old package version
 post_upgrade() {
   echo "ATTENTION DB PACKAGE:"
   echo  "Please consider to run db_upgrade on Berkeley DB databases with a major db version number update."
 }
 
-# arg 1:  the old package version
-pre_remove() {
-  /bin/true
-}
-
-# arg 1:  the old package version
-post_remove() {
-  /bin/true
-}
-
 op=$1
 shift
-$op $*
\ No newline at end of file
+$op $*
diff -urpN core.orig/base/db/PKGBUILD core/base/db/PKGBUILD
--- core.orig/base/db/PKGBUILD	2007-11-23 11:31:01.000000000 +0200
+++ core/base/db/PKGBUILD	2007-11-23 12:58:58.000000000 +0200
@@ -8,7 +8,7 @@ arch=(i686 x86_64)
 license=('custom')
 url="http://www.oracle.com/technology/software/products/berkeley-db/index.html"
 groups=('base')
-depends=('gcc-libs' 'coreutils')
+depends=('gcc-libs')
 options=('!libtool')
 source=(http://download-uk.oracle.com/berkeley-db/db-$pkgver.tar.gz)
 install=(db.install)
diff -urpN core.orig/base/lilo/lilo.install core/base/lilo/lilo.install
--- core.orig/base/lilo/lilo.install	2003-07-12 02:05:29.000000000 +0300
+++ core/base/lilo/lilo.install	2007-11-23 12:41:57.000000000 +0200
@@ -1,21 +1,9 @@
-# arg 1:  the new package version
-post_install() {
-  /bin/true
-}
-
-# arg 1:  the new package version
-# arg 2:  the old package version
 post_upgrade() {
   echo
   echo "If you use the LILO bootloader, you should run 'lilo' after upgrading."
   echo
 }
 
-# arg 1:  the old package version
-pre_remove() {
-  /bin/true
-}
-
 op=$1
 shift
 
diff -urpN core.orig/base/lilo/PKGBUILD core/base/lilo/PKGBUILD
--- core.orig/base/lilo/PKGBUILD	2007-11-23 11:31:08.000000000 +0200
+++ core/base/lilo/PKGBUILD	2007-11-23 12:59:47.000000000 +0200
@@ -13,7 +13,7 @@ license=('BSD')
 # the base group here.
 #groups=('base')
 backup=(etc/lilo.conf)
-depends=(device-mapper coreutils)
+depends=(device-mapper)
 makedepends=(bin86)
 install=lilo.install
 source=(http://home.san.rr.com/johninsd/pub/linux/lilo/lilo-$pkgver.src.tar.gz lilo.conf)
diff -urpN core.orig/base/pam/pam.install core/base/pam/pam.install
--- core.orig/base/pam/pam.install	2005-10-22 02:42:04.000000000 +0300
+++ core/base/pam/pam.install	2007-11-23 12:42:44.000000000 +0200
@@ -5,17 +5,6 @@ post_install() {
   /sbin/ldconfig -r .
 }
 
-# arg 1:  the new package version
-# arg 2:  the old package version
-post_upgrade() {
-  post_install $1
-}
-
-# arg 1:  the old package version
-pre_remove() {
-  /bin/true
-}
-
 op=$1
 shift
 
diff -urpN core.orig/base/perl/perl.install core/base/perl/perl.install
--- core.orig/base/perl/perl.install	2006-02-06 21:33:39.000000000 +0200
+++ core/base/perl/perl.install	2007-11-23 12:43:00.000000000 +0200
@@ -12,14 +12,6 @@ post_install() {
      [ -h usr/lib/perl5/$ver ] || ln -sf current usr/lib/perl5/$ver
      [ -h usr/lib/perl5/site_perl/$ver ] || ln -sf current usr/lib/perl5/site_perl/$ver
    done
-   /bin/true
-}
-
-# arg 1:  the new package version
-# arg 2:  the old package version
-post_upgrade() {
-   post_install $1
-   /bin/true
 }
 
 # arg 1:  the old package version
@@ -29,7 +21,6 @@ pre_remove() {
       rm usr/lib/perl5/site_perl/$ver
       rm usr/bin/perl$ver
    done
-   /bin/true
 }
 
 op=$1
diff -urpN core.orig/base/udev/udev.install core/base/udev/udev.install
--- core.orig/base/udev/udev.install	2006-09-20 13:47:31.000000000 +0300
+++ core/base/udev/udev.install	2007-11-23 12:45:30.000000000 +0200
@@ -19,20 +19,6 @@ pre_upgrade() {
   pre_install $1
 }
 
-post_upgrade() {
-  /bin/true
-}
-
-# arg 1:  the old package version
-pre_remove() {
-  /bin/true
-}
-
-# arg 1:  the old package version
-post_remove() {
-  /bin/true
-}
-
 op=$1
 shift
 $op $*
diff -urpN core.orig/install.proto core/install.proto
--- core.orig/install.proto	2007-09-16 21:25:57.000000000 +0300
+++ core/install.proto	2007-11-23 12:56:57.000000000 +0200
@@ -1,37 +1,38 @@
-# This is a default template for a post-install scriptlet.  You can
-# remove any functions you don't need (and this header).
+# This is a default template for a post-install scriptlet.
+# Uncomment only required functions and remove any functions you don't need
+# (and this header).
 
 # arg 1:  the new package version
-pre_install() {
-  /bin/true
-}
+#pre_install() {
+#  do something here
+#}
 
 # arg 1:  the new package version
-post_install() {
-  /bin/true
-}
+#post_install() {
+#  do something here
+#}
 
 # arg 1:  the new package version
 # arg 2:  the old package version
-pre_upgrade() {
-  /bin/true
-}
+#pre_upgrade() {
+#  do something here
+#}
 
 # arg 1:  the new package version
 # arg 2:  the old package version
-post_upgrade() {
-  /bin/true
-}
+#post_upgrade() {
+#  do something here
+#}
 
 # arg 1:  the old package version
-pre_remove() {
-  /bin/true
-}
+#pre_remove() {
+#  do something here
+#}
 
 # arg 1:  the old package version
-post_remove() {
-  /bin/true
-}
+#post_remove() {
+#  do something here
+#}
 
 op=$1
 shift
diff -urpN core.orig/support/ipw3945/ipw3945.install core/support/ipw3945/ipw3945.install
--- core.orig/support/ipw3945/ipw3945.install	2007-10-10 23:46:26.000000000 +0300
+++ core/support/ipw3945/ipw3945.install	2007-11-23 12:41:10.000000000 +0200
@@ -3,7 +3,6 @@ post_install()
 {
   KERNEL_VERSION='2.6.23-ARCH'
   depmod -v $KERNEL_VERSION > /dev/null 2>&1 
-  /bin/true
 }
 
 # arg 1:  the new package version
@@ -12,13 +11,6 @@ post_upgrade()
 {
   KERNEL_VERSION='2.6.23-ARCH'
   depmod -v $KERNEL_VERSION > /dev/null 2>&1 
-  /bin/true
-}
-
-# arg 1:  the old package version
-pre_remove()
-{
-  /bin/true
 }
 
 # arg 1:  the old package version
@@ -26,8 +18,6 @@ post_remove()
 {
   KERNEL_VERSION='2.6.23-ARCH'
   depmod -v $KERNEL_VERSION > /dev/null 2>&1 	 
- 
-  /bin/true
 }
 
 op=$1
diff -urpN core.orig/support/iwlwifi/iwlwifi.install core/support/iwlwifi/iwlwifi.install
--- core.orig/support/iwlwifi/iwlwifi.install	2007-10-10 23:47:06.000000000 +0300
+++ core/support/iwlwifi/iwlwifi.install	2007-11-23 12:41:32.000000000 +0200
@@ -9,7 +9,6 @@ post_install()
   echo " - iwlwifi-3945-ucode for Intel Pro Wireless 3945ABG"
   echo " - iwlwifi-4965-ucode for Intel Pro Wireless 4965AGN"
   echo
-  /bin/true
 }
 
 # arg 1:  the new package version
@@ -18,7 +17,6 @@ post_upgrade()
 {
   KERNEL_VERSION='2.6.23-ARCH'
   depmod -v $KERNEL_VERSION > /dev/null 2>&1 
-  /bin/true
 }
 
 # arg 1:  the old package version
@@ -26,8 +24,6 @@ post_remove()
 {
   KERNEL_VERSION='2.6.23-ARCH'
   depmod -v $KERNEL_VERSION > /dev/null 2>&1 	 
- 
-  /bin/true
 }
 
 op=$1
diff -urpN core.orig/support/ndiswrapper/ndiswrapper.install core/support/ndiswrapper/ndiswrapper.install
--- core.orig/support/ndiswrapper/ndiswrapper.install	2007-10-10 23:49:15.000000000 +0300
+++ core/support/ndiswrapper/ndiswrapper.install	2007-11-23 12:42:21.000000000 +0200
@@ -4,7 +4,6 @@ post_install()
   ndiswrapper -m
   KERNEL_VERSION='2.6.23-ARCH'
   depmod -ae -v $KERNEL_VERSION > /dev/null 2>&1 
-  /bin/true
 }
 
 # arg 1:  the new package version
@@ -14,13 +13,6 @@ post_upgrade()
   ndiswrapper -m
   KERNEL_VERSION='2.6.23-ARCH'
   depmod -ae -v $KERNEL_VERSION > /dev/null 2>&1 
-  /bin/true
-}
-
-# arg 1:  the old package version
-pre_remove()
-{
-  /bin/true
 }
 
 # arg 1:  the old package version
@@ -28,7 +20,6 @@ post_remove()
 {
   KERNEL_VERSION='2.6.23-ARCH'
   depmod -ae -v $KERNEL_VERSION > /dev/null 2>&1
-  /bin/true
 }
 
 op=$1
diff -urpN core.orig/support/rt2500/rt2500.install core/support/rt2500/rt2500.install
--- core.orig/support/rt2500/rt2500.install	2007-10-10 23:51:50.000000000 +0300
+++ core/support/rt2500/rt2500.install	2007-11-23 12:43:20.000000000 +0200
@@ -3,7 +3,6 @@ post_install()
 {
   KERNEL_VERSION='2.6.23-ARCH'
   depmod -v $KERNEL_VERSION > /dev/null 2>&1 
-  /bin/true
 }
 
 # arg 1:  the new package version
@@ -12,13 +11,6 @@ post_upgrade()
 {
   KERNEL_VERSION='2.6.23-ARCH'
   depmod -v $KERNEL_VERSION > /dev/null 2>&1 
-  /bin/true
-}
-
-# arg 1:  the old package version
-pre_remove()
-{
-  /bin/true
 }
 
 # arg 1:  the old package version
@@ -26,7 +18,6 @@ post_remove()
 {
   KERNEL_VERSION='2.6.23-ARCH'
   depmod -v $KERNEL_VERSION > /dev/null 2>&1 	  
-  /bin/true
 }
 
 op=$1
diff -urpN core.orig/support/rt2x00-cvs/rt2x00.install core/support/rt2x00-cvs/rt2x00.install
--- core.orig/support/rt2x00-cvs/rt2x00.install	2007-10-26 10:00:12.000000000 +0300
+++ core/support/rt2x00-cvs/rt2x00.install	2007-11-23 12:43:35.000000000 +0200
@@ -3,7 +3,6 @@ post_install()
 {
   KERNEL_VERSION='2.6.23-ARCH'
   depmod -v $KERNEL_VERSION > /dev/null 2>&1 
-  /bin/true
 }
 
 # arg 1:  the new package version
@@ -12,13 +11,6 @@ post_upgrade()
 {
   KERNEL_VERSION='2.6.23-ARCH'
   depmod -v $KERNEL_VERSION > /dev/null 2>&1 
-  /bin/true
-}
-
-# arg 1:  the old package version
-pre_remove()
-{
-  /bin/true
 }
 
 # arg 1:  the old package version
@@ -26,7 +18,6 @@ post_remove()
 {
   KERNEL_VERSION='2.6.23-ARCH'
   depmod -v $KERNEL_VERSION > /dev/null 2>&1 	  
-  /bin/true
 }
 
 op=$1
diff -urpN core.orig/support/wpa_supplicant/wpa_supplicant.install core/support/wpa_supplicant/wpa_supplicant.install
--- core.orig/support/wpa_supplicant/wpa_supplicant.install	2007-03-25 14:30:56.000000000 +0300
+++ core/support/wpa_supplicant/wpa_supplicant.install	2007-11-23 12:50:52.000000000 +0200
@@ -9,11 +9,6 @@ post_upgrade() {
   echo "==> For wpa_gui please install 'wpa_supplicant_gui'"
 }
 
-# arg 1:  the old package version
-pre_remove() {
-  /bin/true
-}
-
 op=$1
 shift
 