Index: PKGBUILD
===================================================================
--- PKGBUILD	(revision 132408)
+++ PKGBUILD	(working copy)
@@ -1,25 +1,26 @@
 # $Id: PKGBUILD 130991 2011-07-09 12:23:51Z thomas $
 # Maintainer: Tobias Powalowski <tpowa@archlinux.org>
 # Maintainer: Thomas Baechler <thomas@archlinux.org>
-pkgbase="linux"
+
+pkgbase=linux
 pkgname=('linux' 'linux-headers' 'linux-docs') # Build stock -ARCH kernel
 # pkgname=linux-custom       # Build kernel with a different name
 _kernelname=${pkgname#linux}
 _basekernel=3.0
 pkgver=${_basekernel}
 pkgrel=1
+arch=('i686' 'x86_64')
+url="http://www.kernel.org/"
+license=('GPL2')
 makedepends=('xmlto' 'docbook-xsl')
-arch=(i686 x86_64)
-license=('GPL2')
-url="http://www.kernel.org"
-options=(!strip)
-source=(ftp://ftp.kernel.org/pub/linux/kernel/v3.0/linux-${_basekernel}.tar.bz2
-        #ftp://ftp.kernel.org/pub/linux/kernel/v3.0/patch-${pkgver}.bz2
+options=('!strip')
+source=("ftp://ftp.kernel.org/pub/linux/kernel/v3.0/linux-${_basekernel}.tar.bz2"
+        #"ftp://ftp.kernel.org/pub/linux/kernel/v3.0/patch-${pkgver}.bz2"
         # the main kernel config files
-        config config.x86_64
+        'config' 'config.x86_64'
         # standard config files for mkinitcpio ramdisk
-        ${pkgname}.preset
-        fix-i915.patch)
+        "${pkgname}.preset"
+        'fix-i915.patch')
 md5sums=('398e95866794def22b12dfbc15ce89c0'
          'fc6aae0fb4d70feff92ec762d29dee45'
          'fd5a1712ddea696eee5255de2d854218'
@@ -27,31 +28,35 @@
          '263725f20c0b9eb9c353040792d644e5')
 
 build() {
+  cd "${srcdir}/linux-$_basekernel"
 
-  cd ${srcdir}/linux-$_basekernel
-  #patch -p1 -i ${srcdir}/patch-${pkgver}
-  
+  #patch -p1 -i "${srcdir}/patch-${pkgver}"
+
   # add latest fixes from stable queue, if needed
   # http://git.kernel.org/?p=linux/kernel/git/stable/stable-queue.git
-  
+
   # fix #19234 i1915 display size
-  patch -Np1 -i ${srcdir}/fix-i915.patch
+  patch -Np1 -i "${srcdir}/fix-i915.patch"
 
   if [ "$CARCH" = "x86_64" ]; then
-    cat ../config.x86_64 >./.config
+    cat "${srcdir}/config.x86_64" > ./.config
   else
-    cat ../config >./.config
+    cat "${srcdir}/config" > ./.config
   fi
+
   if [ "${_kernelname}" != "" ]; then
     sed -i "s|CONFIG_LOCALVERSION=.*|CONFIG_LOCALVERSION=\"${_kernelname}\"|g" ./.config
   fi
+
   # remove the extraversion from Makefile
   # this ensures our kernel version is always 3.X-ARCH
   # this way, minor kernel updates will not break external modules
   # we need to change this soon, see FS#16702
   sed -i 's|^EXTRAVERSION = .*$|EXTRAVERSION = |g' Makefile
+
   # get kernel version
   make prepare
+
   # load configuration
   # Configure the kernel. Replace the line below with one of your choice.
   #make menuconfig # CLI menu for configuration
@@ -59,13 +64,16 @@
   #make xconfig # X-based configuration
   #make oldconfig # using old config from previous kernel version
   # ... or manually edit .config
+
   ####################
   # stop here
   # this is useful to configure the kernel
   #msg "Stopping build"
   #return 1
   ####################
+
   yes "" | make config
+
   # build!
   make ${MAKEFLAGS} bzImage modules
 }
@@ -73,44 +81,49 @@
 package_linux() {
   pkgdesc="The Linux Kernel and modules"
   groups=('base')
-  backup=(etc/mkinitcpio.d/${pkgname}.preset)
   depends=('coreutils' 'linux-firmware' 'module-init-tools>=3.16' 'mkinitcpio>=0.7')
+  optdepends=('crda: to set the correct wireless channels of your country')
   provides=('kernel26')
   conflicts=('kernel26')
   replaces=('kernel26')
+  backup=("etc/mkinitcpio.d/${pkgname}.preset")
   install=${pkgname}.install
-  optdepends=('crda: to set the correct wireless channels of your country')
 
+  cd "${srcdir}/linux-${_basekernel}"
+
   KARCH=x86
-  cd ${srcdir}/linux-${_basekernel}
+
   # get kernel version
   _kernver="$(make kernelrelease)"
-  mkdir -p ${pkgdir}/{lib/modules,lib/firmware,boot}
-  make INSTALL_MOD_PATH=${pkgdir} modules_install
-  cp arch/$KARCH/boot/bzImage ${pkgdir}/boot/vmlinuz-${pkgname}
+
+  mkdir -p "${pkgdir}"/{lib/modules,lib/firmware,boot}
+  make INSTALL_MOD_PATH="${pkgdir}" modules_install
+  cp arch/$KARCH/boot/bzImage "${pkgdir}/boot/vmlinuz-${pkgname}"
+
   # add vmlinux
-  install -m644 -D vmlinux ${pkgdir}/usr/src/linux-${_kernver}/vmlinux
+  install -D -m644 vmlinux "${pkgdir}/usr/src/linux-${_kernver}/vmlinux"
 
   # install fallback mkinitcpio.conf file and preset file for kernel
-  install -m644 -D ${srcdir}/${pkgname}.preset ${pkgdir}/etc/mkinitcpio.d/${pkgname}.preset
+  install -D -m644 "${srcdir}/${pkgname}.preset" "${pkgdir}/etc/mkinitcpio.d/${pkgname}.preset"
+
   # set correct depmod command for install
   sed \
     -e  "s/KERNEL_NAME=.*/KERNEL_NAME=${_kernelname}/g" \
     -e  "s/KERNEL_VERSION=.*/KERNEL_VERSION=${_kernver}/g" \
-    -i $startdir/${pkgname}.install
+    -i "${startdir}/${pkgname}.install"
   sed \
     -e "s|default_image=.*|default_image=\"/boot/initramfs-${pkgname}.img\"|g" \
     -e "s|fallback_image=.*|fallback_image=\"/boot/initramfs-${pkgname}-fallback.img\"|g" \
-    -i ${pkgdir}/etc/mkinitcpio.d/${pkgname}.preset
+    -i "${pkgdir}/etc/mkinitcpio.d/${pkgname}.preset"
 
   # remove build and source links
-  rm -f ${pkgdir}/lib/modules/${_kernver}/{source,build}
+  rm -f "${pkgdir}"/lib/modules/${_kernver}/{source,build}
   # add compat symlink for the kernel image
-  ln -sf vmlinuz-${pkgname} ${pkgdir}/boot/vmlinuz26${_kernelname}
+  ln -sf vmlinuz-${pkgname} "${pkgdir}/boot/vmlinuz26${_kernelname}"
   # remove the firmware
-  rm -rf ${pkgdir}/lib/firmware
+  rm -rf "${pkgdir}/lib/firmware"
   # gzip -9 all modules to safe 100MB of space
-  find "$pkgdir" -name '*.ko' -exec gzip -9 {} \;
+  find "${pkgdir}" -name '*.ko' -exec gzip -9 {} \;
 }
 
 package_linux-headers() {
@@ -118,111 +131,130 @@
   provides=('kernel26-headers')
   conflicts=('kernel26-headers')
   replaces=('kernel26-headers')
-  mkdir -p ${pkgdir}/lib/modules/${_kernver}
-  cd ${pkgdir}/lib/modules/${_kernver}
+
+  mkdir -p "${pkgdir}/lib/modules/${_kernver}"
+
+  cd "${pkgdir}/lib/modules/${_kernver}"
   ln -sf ../../../usr/src/linux-${_kernver} build
-  cd ${srcdir}/linux-$_basekernel
+
+  cd "${srcdir}/linux-$_basekernel"
   install -D -m644 Makefile \
-    ${pkgdir}/usr/src/linux-${_kernver}/Makefile
+    "${pkgdir}/usr/src/linux-${_kernver}/Makefile"
   install -D -m644 kernel/Makefile \
-    ${pkgdir}/usr/src/linux-${_kernver}/kernel/Makefile
+    "${pkgdir}/usr/src/linux-${_kernver}/kernel/Makefile"
   install -D -m644 .config \
-    ${pkgdir}/usr/src/linux-${_kernver}/.config
-  mkdir -p ${pkgdir}/usr/src/linux-${_kernver}/include
+    "${pkgdir}/usr/src/linux-${_kernver}/.config"
 
+  mkdir -p "${pkgdir}/usr/src/linux-${_kernver}/include"
+
   for i in acpi asm-generic config crypto drm generated linux math-emu \
     media net pcmcia scsi sound trace video xen; do
-    cp -a include/$i ${pkgdir}/usr/src/linux-${_kernver}/include/
+    cp -a include/$i "${pkgdir}/usr/src/linux-${_kernver}/include/"
   done
 
   # copy arch includes for external modules
-  mkdir -p ${pkgdir}/usr/src/linux-${_kernver}/arch/x86
-  cp -a arch/x86/include ${pkgdir}/usr/src/linux-${_kernver}/arch/x86/
+  mkdir -p "${pkgdir}/usr/src/linux-${_kernver}/arch/x86"
+  cp -a arch/x86/include "${pkgdir}/usr/src/linux-${_kernver}/arch/x86/"
 
   # copy files necessary for later builds, like nvidia and vmware
-  cp Module.symvers ${pkgdir}/usr/src/linux-${_kernver}
-  cp -a scripts ${pkgdir}/usr/src/linux-${_kernver}
+  cp Module.symvers "${pkgdir}/usr/src/linux-${_kernver}"
+  cp -a scripts "${pkgdir}/usr/src/linux-${_kernver}"
+
   # fix permissions on scripts dir
-  chmod og-w -R ${pkgdir}/usr/src/linux-${_kernver}/scripts
-  mkdir -p ${pkgdir}/usr/src/linux-${_kernver}/.tmp_versions
+  chmod og-w -R "${pkgdir}/usr/src/linux-${_kernver}/scripts"
+  mkdir -p "${pkgdir}/usr/src/linux-${_kernver}/.tmp_versions"
 
-  mkdir -p ${pkgdir}/usr/src/linux-${_kernver}/arch/$KARCH/kernel
+  mkdir -p "${pkgdir}/usr/src/linux-${_kernver}/arch/$KARCH/kernel"
 
-  cp arch/$KARCH/Makefile ${pkgdir}/usr/src/linux-${_kernver}/arch/$KARCH/
+  cp arch/$KARCH/Makefile "${pkgdir}/usr/src/linux-${_kernver}/arch/$KARCH/"
+
   if [ "$CARCH" = "i686" ]; then
-    cp arch/$KARCH/Makefile_32.cpu ${pkgdir}/usr/src/linux-${_kernver}/arch/$KARCH/
+    cp arch/$KARCH/Makefile_32.cpu "${pkgdir}/usr/src/linux-${_kernver}/arch/$KARCH/"
   fi
-  cp arch/$KARCH/kernel/asm-offsets.s ${pkgdir}/usr/src/linux-${_kernver}/arch/$KARCH/kernel/
 
+  cp arch/$KARCH/kernel/asm-offsets.s "${pkgdir}/usr/src/linux-${_kernver}/arch/$KARCH/kernel/"
+
   # add headers for lirc package
-  mkdir -p ${pkgdir}/usr/src/linux-${_kernver}/drivers/media/video
-  cp drivers/media/video/*.h  ${pkgdir}/usr/src/linux-${_kernver}/drivers/media/video/
+  mkdir -p "${pkgdir}/usr/src/linux-${_kernver}/drivers/media/video"
+
+  cp drivers/media/video/*.h  "${pkgdir}/usr/src/linux-${_kernver}/drivers/media/video/"
+
   for i in bt8xx cpia2 cx25840 cx88 em28xx et61x251 pwc saa7134 sn9c102; do
-   mkdir -p ${pkgdir}/usr/src/linux-${_kernver}/drivers/media/video/$i
-   cp -a drivers/media/video/$i/*.h ${pkgdir}/usr/src/linux-${_kernver}/drivers/media/video/$i
+    mkdir -p "${pkgdir}/usr/src/linux-${_kernver}/drivers/media/video/$i"
+    cp -a drivers/media/video/$i/*.h "${pkgdir}/usr/src/linux-${_kernver}/drivers/media/video/$i"
   done
+
   # add docbook makefile
   install -D -m644 Documentation/DocBook/Makefile \
-    ${pkgdir}/usr/src/linux-${_kernver}/Documentation/DocBook/Makefile
+    "${pkgdir}/usr/src/linux-${_kernver}/Documentation/DocBook/Makefile"
+
   # add dm headers
-  mkdir -p ${pkgdir}/usr/src/linux-${_kernver}/drivers/md
-  cp drivers/md/*.h  ${pkgdir}/usr/src/linux-${_kernver}/drivers/md
+  mkdir -p "${pkgdir}/usr/src/linux-${_kernver}/drivers/md"
+  cp drivers/md/*.h "${pkgdir}/usr/src/linux-${_kernver}/drivers/md"
+
   # add inotify.h
-  mkdir -p ${pkgdir}/usr/src/linux-${_kernver}/include/linux
-  cp include/linux/inotify.h ${pkgdir}/usr/src/linux-${_kernver}/include/linux/
+  mkdir -p "${pkgdir}/usr/src/linux-${_kernver}/include/linux"
+  cp include/linux/inotify.h "${pkgdir}/usr/src/linux-${_kernver}/include/linux/"
+
   # add wireless headers
-  mkdir -p ${pkgdir}/usr/src/linux-${_kernver}/net/mac80211/
-  cp net/mac80211/*.h ${pkgdir}/usr/src/linux-${_kernver}/net/mac80211/
+  mkdir -p "${pkgdir}/usr/src/linux-${_kernver}/net/mac80211/"
+  cp net/mac80211/*.h "${pkgdir}/usr/src/linux-${_kernver}/net/mac80211/"
+
   # add dvb headers for external modules
   # in reference to:
   # http://bugs.archlinux.org/task/9912
-  mkdir -p ${pkgdir}/usr/src/linux-${_kernver}/drivers/media/dvb/dvb-core
-  cp drivers/media/dvb/dvb-core/*.h ${pkgdir}/usr/src/linux-${_kernver}/drivers/media/dvb/dvb-core/
-  # add dvb headers for external modules
-  # in reference to:
+  mkdir -p "${pkgdir}/usr/src/linux-${_kernver}/drivers/media/dvb/dvb-core"
+  cp drivers/media/dvb/dvb-core/*.h "${pkgdir}/usr/src/linux-${_kernver}/drivers/media/dvb/dvb-core/"
+  # and...
   # http://bugs.archlinux.org/task/11194
-  mkdir -p ${pkgdir}/usr/src/linux-${_kernver}/include/config/dvb/
-  cp include/config/dvb/*.h ${pkgdir}/usr/src/linux-${_kernver}/include/config/dvb/
+  mkdir -p "${pkgdir}/usr/src/linux-${_kernver}/include/config/dvb/"
+  cp include/config/dvb/*.h "${pkgdir}/usr/src/linux-${_kernver}/include/config/dvb/"
+
   # add dvb headers for http://mcentral.de/hg/~mrec/em28xx-new
   # in reference to:
   # http://bugs.archlinux.org/task/13146
-  mkdir -p ${pkgdir}/usr/src/linux-${_kernver}/drivers/media/dvb/frontends/
-  cp drivers/media/dvb/frontends/lgdt330x.h ${pkgdir}/usr/src/linux-${_kernver}/drivers/media/dvb/frontends/
-  cp drivers/media/video/msp3400-driver.h ${pkgdir}/usr/src/linux-${_kernver}/drivers/media/dvb/frontends/
-  # add dvb headers  
+  mkdir -p "${pkgdir}/usr/src/linux-${_kernver}/drivers/media/dvb/frontends/"
+  cp drivers/media/dvb/frontends/lgdt330x.h "${pkgdir}/usr/src/linux-${_kernver}/drivers/media/dvb/frontends/"
+  cp drivers/media/video/msp3400-driver.h "${pkgdir}/usr/src/linux-${_kernver}/drivers/media/dvb/frontends/"
+
+  # add dvb headers
   # in reference to:
   # http://bugs.archlinux.org/task/20402
-  mkdir -p ${pkgdir}/usr/src/linux-${_kernver}/drivers/media/dvb/dvb-usb
-  cp drivers/media/dvb/dvb-usb/*.h ${pkgdir}/usr/src/linux-${_kernver}/drivers/media/dvb/dvb-usb/
-  mkdir -p ${pkgdir}/usr/src/linux-${_kernver}/drivers/media/dvb/frontends
-  cp drivers/media/dvb/frontends/*.h ${pkgdir}/usr/src/linux-${_kernver}/drivers/media/dvb/frontends/
-  mkdir -p ${pkgdir}/usr/src/linux-${_kernver}/drivers/media/common/tuners
-  cp drivers/media/common/tuners/*.h ${pkgdir}/usr/src/linux-${_kernver}/drivers/media/common/tuners/
+  mkdir -p "${pkgdir}/usr/src/linux-${_kernver}/drivers/media/dvb/dvb-usb"
+  cp drivers/media/dvb/dvb-usb/*.h "${pkgdir}/usr/src/linux-${_kernver}/drivers/media/dvb/dvb-usb/"
+  mkdir -p "${pkgdir}/usr/src/linux-${_kernver}/drivers/media/dvb/frontends"
+  cp drivers/media/dvb/frontends/*.h "${pkgdir}/usr/src/linux-${_kernver}/drivers/media/dvb/frontends/"
+  mkdir -p "${pkgdir}/usr/src/linux-${_kernver}/drivers/media/common/tuners"
+  cp drivers/media/common/tuners/*.h "${pkgdir}/usr/src/linux-${_kernver}/drivers/media/common/tuners/"
+
   # add xfs and shmem for aufs building
-  mkdir -p ${pkgdir}/usr/src/linux-${_kernver}/fs/xfs
-  mkdir -p ${pkgdir}/usr/src/linux-${_kernver}/mm
-  cp fs/xfs/xfs_sb.h ${pkgdir}/usr/src/linux-${_kernver}/fs/xfs/xfs_sb.h
+  mkdir -p "${pkgdir}/usr/src/linux-${_kernver}/fs/xfs"
+  mkdir -p "${pkgdir}/usr/src/linux-${_kernver}/mm"
+  cp fs/xfs/xfs_sb.h "${pkgdir}/usr/src/linux-${_kernver}/fs/xfs/xfs_sb.h"
+
   # copy in Kconfig files
-  for i in `find . -name "Kconfig*"`; do 
-    mkdir -p ${pkgdir}/usr/src/linux-${_kernver}/`echo $i | sed 's|/Kconfig.*||'`
-    cp $i ${pkgdir}/usr/src/linux-${_kernver}/$i
+  for i in `find . -name "Kconfig*"`; do
+    mkdir -p "${pkgdir}"/usr/src/linux-${_kernver}/`echo $i | sed 's|/Kconfig.*||'`
+    cp $i "${pkgdir}/usr/src/linux-${_kernver}/$i"
   done
 
-  chown -R root.root ${pkgdir}/usr/src/linux-${_kernver}
-  find ${pkgdir}/usr/src/linux-${_kernver} -type d -exec chmod 755 {} \;
+  chown -R root.root "${pkgdir}/usr/src/linux-${_kernver}"
+  find "${pkgdir}/usr/src/linux-${_kernver}" -type d -exec chmod 755 {} \;
+
   # strip scripts directory
-  find ${pkgdir}/usr/src/linux-${_kernver}/scripts  -type f -perm -u+w 2>/dev/null | while read binary ; do
-  case "$(file -bi "$binary")" in
-    *application/x-sharedlib*) # Libraries (.so)
-    /usr/bin/strip $STRIP_SHARED "$binary";;
-    *application/x-archive*) # Libraries (.a)
-    /usr/bin/strip $STRIP_STATIC "$binary";;
-    *application/x-executable*) # Binaries
-    /usr/bin/strip $STRIP_BINARIES "$binary";;
-    esac 
-  done 
+  find "${pkgdir}/usr/src/linux-${_kernver}/scripts" -type f -perm -u+w 2>/dev/null | while read binary ; do
+    case "$(file -bi "$binary")" in
+      *application/x-sharedlib*) # Libraries (.so)
+        /usr/bin/strip $STRIP_SHARED "$binary";;
+      *application/x-archive*) # Libraries (.a)
+        /usr/bin/strip $STRIP_STATIC "$binary";;
+      *application/x-executable*) # Binaries
+        /usr/bin/strip $STRIP_BINARIES "$binary";;
+    esac
+  done
+
   # remove unneeded architectures
-  rm -rf ${pkgdir}/usr/src/linux-${_kernver}/arch/{alpha,arm,arm26,avr32,blackfin,cris,frv,h8300,ia64,m32r,m68k,m68knommu,mips,microblaze,mn10300,parisc,powerpc,ppc,s390,sh,sh64,sparc,sparc64,um,v850,xtensa}
+  rm -rf "${pkgdir}"/usr/src/linux-${_kernver}/arch/{alpha,arm,arm26,avr32,blackfin,cris,frv,h8300,ia64,m32r,m68k,m68knommu,mips,microblaze,mn10300,parisc,powerpc,ppc,s390,sh,sh64,sparc,sparc64,um,v850,xtensa}
 }
 
 package_linux-docs() {
@@ -230,11 +262,16 @@
   provides=('kernel26-docs')
   conflicts=('kernel26-docs')
   replaces=('kernel26-docs')
-  cd ${srcdir}/linux-$_basekernel
-  mkdir -p $pkgdir/usr/src/linux-$_kernver
-  mv Documentation $pkgdir/usr/src/linux-$_kernver
-  find $pkgdir -type f -exec chmod 444 {} \;
-  find $pkgdir -type d -exec chmod 755 {} \;
+
+  cd "${srcdir}/linux-$_basekernel"
+
+  mkdir -p "$pkgdir/usr/src/linux-$_kernver"
+  mv Documentation "$pkgdir/usr/src/linux-$_kernver"
+  find "$pkgdir" -type f -exec chmod 444 {} \;
+  find "$pkgdir" -type d -exec chmod 755 {} \;
+
   # remove a file already in linux package
-  rm -f $pkgdir/usr/src/linux-$_kernver/Documentation/DocBook/Makefile
+  rm -f "$pkgdir/usr/src/linux-$_kernver/Documentation/DocBook/Makefile"
 }
+
+# vim:set ts=2 sw=2 et: