diff --git a/web/html/css/aur.min.css b/web/html/css/aur.min.css
new file mode 100644
index 0000000..51380bb
--- /dev/null
+++ b/web/html/css/aur.min.css
@@ -0,0 +1,148 @@
+span{color:#555;font-family:Bitstream Vera Sans, Lucida Grande, Arial, sans-serif;}
+span.f1{font-size:20px;letter-spacing:1px;}
+span.f2{font-size:14px;color:#6c83b0;font-weight:bold;}
+span.f3{color:#888;font-size:14px;font-weight:bold;padding-right:2px;}
+span.f4{color:#444;font-size:12px;}
+span.f5{color:#333;font-size:11px;}
+span.f6{color:#b06d6e;font-size:14px;font-weight:bold;}
+span.f7{color:#6db06d;font-size:14px;font-weight:bold;}
+span.f8{color:#888;font-size:12px;font-weight:bold;}
+span.fix{color:#000;font-family:monospace, fixed, terminal;font-size:12px;}
+span.error{color:#900;font-size:12px;}
+span.warning{color:#c0c000;font-size:12px;}
+.blue{color:#6c83b0;}
+.white{color:#fff;}
+.black{color:#000;}
+.green{color:#6db06d;}
+.outofdate .blue{color:#444;}
+.link{color:#6c83b0;font-weight:bold;}
+span.preHeader{color:#c9d1e2;font-weight:bold;font-size:11px;padding-right:8px;word-spacing:8px;}
+span.sideBarSmallHeader{color:#fff;font-weight:bold;font-size:11px;padding-right:8px;}
+a{color:#0771a6;text-decoration:none;font-weight:bold;}
+a:hover{color:#333;text-decoration:none;font-weight:bold;}
+h1, h2, h3, h4{font-size:16pt;}
+.important{font-weight:bold;color:#f00;}
+body, table, td, img{border:none;margin:0;padding:0;}
+td.preHeader{background-color:#000;border-bottom:1px solid #455471;height:16px;text-align:right;}
+td.headerFill{background-color:#6c83b0;border-bottom:1px solid #000;}
+td.headerDisplay{background-color:#6c83b0;padding-left:16px;}
+td.mainLinks{background-color:#eee;border-bottom:1px solid #000;height:22px;padding-left:12px;}
+td.sideBar{background-color:#fff;text-align:center;vertical-align:top;width:150px;}
+td.sideBarGrey{background-color:#eee;border-bottom:1px solid #000;vertical-align:top;width:150px;}
+td.sideBarSmall{background-color:#6c83b0;border-bottom:1px solid #000;height:16px;text-align:right;width:150px;}
+td.sideBarSmallHeader{background-color:#6c83b0;vertical-align:top;height:16px;padding-top:1px;padding-bottom:2px;text-align:right;width:150px;}
+td.subLinks{background-color:#ffe4e8;border-right:1px solid #000;color:#787878;padding-left:12px;height:19px;}
+td.contentDisplay{background-color:#fff;border:1px solid #000;border-top:none;text-align:center;vertical-align:top;padding:10px;}
+td.footerDisplay{background-color:#eee;border-bottom:1px solid #000;text-align:center;}
+table.boxSoft{width:90%;background-color:#ddd;}
+td.boxSoft{background-color:#fff;padding:2px;}
+td.boxSoftColumn{padding-left:16px;padding-right:16px;text-align:justify;vertical-align:top;text-indent:20px;}
+td.div{background-color:#eee;width:3px;}
+.boxSoftTitle{border-bottom:1px solid #fff;border-top:1px solid #fff;background-color:#f1f2f4;padding:1px 0 0 3px;}
+table.boxSoftSmall{width:94px;background-color:#ddd;}
+td.boxSoftSmall{background-color:#fff;text-align:center;padding-top:2px;padding-bottom:2px;}
+td.boxSoftSmallTitle{border-bottom:1px solid #ccc;background-color:#f1f2f4;padding-left:10px;}
+td.ss{padding-left:6px;vertical-align:top;}
+td.display{border-bottom:1px solid #000;padding-bottom:6px;}
+td.features{padding:4px;text-align:justify;vertical-align:top;}
+td.formLeft{padding:6px;vertical-align:top;}
+td.data1{background-color:#eee;vertical-align:top;padding-left:.3em;}
+td.data2{background-color:#ddd;vertical-align:top;padding-left:.3em;}
+.outofdate{background-color:#faa;padding-left:.3em;}
+.legend span{padding:1px;margin-left:.3em;border:solid 1px #888;}
+td.text{color:#000;font-size:12px;}
+th{text-align:left;}
+th.header{border-bottom:#666 1px solid;vertical-align:bottom;}
+fieldset{border:none;}
+input, textarea, select{background-color:#6c83b0;font-family:monospace;font-size:12px;background-color:#ccc;border:#000 1px solid;color:#111;}
+input.button{background-color:#fff;color:#6c83b0;border:1px solid #6c83b0;font-size:12px;padding:2px 8px;}
+input[type=image]{border:0;background:none;}*{margin:0;padding:0;}
+* ul{padding:20px;}
+body{min-width:600px;background-color:white;color:#555;font-family:"DejaVu Sans", sans-serif;font-size:12px;}
+#title{display:block;position:relative;height:123px;}
+#main_nav, #sub_nav{list-style:none;font-size:13px;line-height:26px;padding:0 32px;}
+#main_nav{background-color:#333;text-align:right;}
+#sub_nav{min-width:700px;background-color:#1793d1;text-align:right;}
+#main_nav a.selected{background-color:#1793d1;}
+#sub_nav a.selected{background-color:#333;}
+#main_nav a, #sub_nav a{padding:5px 9px;line-height:26px;color:#fff;font-weight:bold;text-decoration:none;}
+#main_nav a:hover{background-color:#1793d1;}
+#sub_nav a:hover{background-color:#333;}
+#lang_sub{display:block;font-size:10pt;text-align:right;margin-bottom:40px;margin-right:35px;margin-left:35px;}
+#lang_sub ul{list-style:none;padding:0px;}
+#lang_sub ul a{text-decoration:none;}
+#lang_sub ul a:hover{text-decoration:underline;}
+#lang_sub ul li{display:inline;padding-right:1px;}
+#login_bar{display:block;margin-bottom:10px;}
+#login_bar input{margin-right:5px;}
+#login_bar .button{margin:2px;}
+#updates{font-size:small;top:0px;background-color:#e7f0f6;border:1px solid #92cbe8;padding:10px;}
+#logo{z-index:1;position:relative;top:10px;left:25px;width:350px;}
+#logo h1#archtitle{background:transparent url("../images/titlelogo.png") no-repeat top left;margin:0px;padding:0px;}
+#logo h1#archtitle a{color:transparent;display:block;width:350px;height:103px;}
+.clear{clear:both;margin:0px;padding:0px;}
+.right{float:right;width:320px;padding:0px 10px 10px 0px;}
+.left{padding:10px;margin-right:360px;}
+.left p{padding-bottom:10px;}
+.box{padding:10px;}
+.greybox{padding:10px;background-color:#f6f3dd;border:1px solid #d9d6c2;}
+div.listing{padding-right:10px;}
+.error{color:#dd0000;font-size:small;}
+.foot{clear:both;text-align:center;font-size:0.75em;}
+#search{float:right;position:relative;top:-2em;font-size:0.8em;}
+#search input{background-color:#f6f3dd;border:1px solid #d9d6c2;}
+.smalltext{text-align:right;font-size:x-small;}
+h2{margin:20px 0px 10px 0px;}
+h2.title{border-bottom:1px solid #46494d;}
+h3{margin-bottom:10px;}
+h3.title{text-align:right;border-bottom:1px solid #46494d;}
+h4.title{border-bottom:1px solid #46494d;}
+h4.news{border-bottom:1px dotted #0771a6;margin-bottom:.25em;padding-bottom:.2em;}
+div.listing h4{color:#fff;background-color:#0771a6;padding:3px;}
+p{padding-bottom:20px;}
+p.news{font-size:small;}
+a{color:#0771a6;}
+a:hover{color:#333;}
+#about{position:relative;top:-9px;}
+ol{padding-left:45px;}
+ul.small{list-style:none;font-size:x-small;}
+ul.links{list-style:none;font-size:small;padding:0px 0px 20px 20px;}
+img{border:none;}
+hr{border:none;border-top:1px solid #46494d;}
+.greybox input, button, textarea, select{background-color:#e1e3e6;border:1px solid #8faecd;}
+.box input, button{padding:2px;background-color:#c1c3f6;font-size:x-small;border:1px solid #8faecd;}
+button#f_trigger{background-color:#e1e3e6;}
+table.center{margin-left:auto;margin-right:auto;}
+table.results{padding:0px;border-collapse:collapse;}
+.results th{background-color:#e1e3e6;border-bottom:1px solid #46494d;border-top:1px solid #46494d;padding:0px 5px 0px 0px;}
+.results th>a{text-decoration:none;color:#46494d;}
+.results td{padding-right:5px;vertical-align:top;font-size:0.8em;}
+.listing th{font-size:small;vertical-align:top;padding:2px;}
+.listing td{font-size:small;padding:2px;}
+blockquote.code{background-color:#f3f3f3;border:1px solid #ccc;margin-left:auto;margin-right:auto;white-space:nowrap;padding:5px;font-family:"DejaVu Sans Mono", "Bitstream Vera Sans Mono", Courier, "Courier New", Monospace;color:#333;font-size:.95em;}
+.pkg_search_results_footer{overflow:auto;}
+.pkg_search_results_footer .legend_and_actions{float:left;}
+.pkg_search_results_footer .legend{margin-bottom:3px;}
+.pkg_search_results_footer .page_links{float:right;margin:0 0;padding:0 0;}
+.pgbox{margin:0 25px;margin-bottom:1%;background-color:#fff;border:2px solid #ddd;padding:3px;}
+.frontpgboxbody{padding:10px;}
+.frontpgboxbody > table{width:100%;}
+.pgboxtitle{border:2px solid #ddd;border-top:1px solid #fff;border-left:1px solid #fff;background-color:#f1f2f4;padding:2px 10px 2px 10px;}
+.pgboxbody, .pgboxbody-comment{padding:10px;}
+.pgboxbody input{margin-right:10px;}
+.pgboxbody-comment > table{border-collapse:separate;border-spacing:0px 15px;}
+#advanced-search li{font-size:11px;list-style:none;display:inline;padding-right:15px;text-decoration:none;}
+.page_nav{margin:5px 0;}
+.page_nav .page_num{border:1px solid #ddd;padding:2px;color:#0771a6;}
+.page_nav .page_num:hover{border:1px solid #8faecd;color:#333;}
+.page_nav .page_sel{border:1px solid #8faecd;padding:2px;color:#333;font-weight:bold;}
+.comment-header{background-color:#f1f2f4;color:#888;font-size:14px;font-weight:bold;margin-left:5px;margin-top:5px;padding:2px;}
+.comment-body{margin-left:5px;padding:2px;font-family:monospace;}
+.pkgoutput{margin:0 25px;font-size:18px;font-weight:bold;}
+div.version{font-weight:bold;font-size:14px;text-align:right;}
+body:lang(he){direction:rtl;}
+th:lang(he){text-align:right;}
+#lang_sub:lang(he){text-align:left;}
+.pkg_search_results_footer:lang(he) .legend_and_actions{float:right;}
+.pkg_search_results_footer:lang(he) .page_links{float:left;}
+div.version:lang(he){text-align:left;}
\ No newline at end of file