From ce033c016ba2d54c506f43f3979e7ccc5db3d5f8 Mon Sep 17 00:00:00 2001
From: Denis Kobozev <d.v.kobozev@gmail.com>
Date: Fri, 25 Jun 2010 10:12:29 -0400
Subject: [PATCH] Header and navbar consistent with Arch site redesign

---
 web/html/css/archnavbar/archlogo.gif   |  Bin 0 -> 1845 bytes
 web/html/css/archnavbar/archlogo.png   |  Bin 0 -> 4192 bytes
 web/html/css/archnavbar/archnavbar.css |   41 +++++++++++++++++++
 web/lib/aur.inc                        |    8 ++++
 web/template/header.php                |   69 +++++++++++++++----------------
 5 files changed, 82 insertions(+), 36 deletions(-)
 create mode 100644 web/html/css/archnavbar/archlogo.gif
 create mode 100644 web/html/css/archnavbar/archlogo.png
 create mode 100644 web/html/css/archnavbar/archnavbar.css

diff --git a/web/html/css/archnavbar/archlogo.gif b/web/html/css/archnavbar/archlogo.gif
new file mode 100644
index 0000000000000000000000000000000000000000..e1852a06227557cb0d829109278cec2831c2f6b4
GIT binary patch
diff --git a/web/html/css/archnavbar/archlogo.png b/web/html/css/archnavbar/archlogo.png
new file mode 100644
index 0000000000000000000000000000000000000000..e873e94b1a38b58963e15252f6e175fc1c6f1ec7
GIT binary patch
diff --git a/web/html/css/archnavbar/archnavbar.css b/web/html/css/archnavbar/archnavbar.css
new file mode 100644
index 0000000..fbdffbd
--- /dev/null
+++ b/web/html/css/archnavbar/archnavbar.css
@@ -0,0 +1,41 @@
+/*
+ * ARCH GLOBAL NAVBAR
+ *
+ * We're forcing all generic selectors with !important
+ * to help prevent other stylesheets from interfering.
+ *
+ */
+
+/* container for the entire bar */
+#archnavbar { height: 40px !important; padding: 10px 15px !important; background: #333 !important; border-bottom: 5px #08c solid !important; }
+
+/* logo trickery -- GIF for IE6 and PNG for the rest */
+#archnavbarlogo { float: left !important; margin: 0 !important; padding: 0 !important; height: 40px !important; width: 190px !important; }
+/* IE6 doesn't support alpha PNGs so we serve it a GIF */
+#archnavbarlogo { background: url('archlogo.gif') no-repeat !important; }
+/* and use a proper PNG for all other modern browsers */
+html > body #archnavbarlogo { background: url('archlogo.png') no-repeat !important; }
+
+/* move the heading/paragraph text offscreen */
+#archnavbarlogo p { margin: 0 !important; padding: 0 !important; text-indent: -9999px !important; }
+#archnavbarlogo h1 { margin: 0 !important; padding: 0 !important; text-indent: -9999px !important; }
+
+/* make the link the same size as the logo */
+#archnavbarlogo a { display: block !important; height: 40px !important; width: 190px !important; }
+
+/* display the list inline, float it to the right and style it */
+#archnavbar ul { display: inline !important; float: right !important; list-style: none !important; margin: 0 !important; padding: 0 !important; }
+#archnavbar ul li { float: left !important; font-size: 14px !important; font-family: sans-serif !important; line-height: 45px !important; padding-right: 15px !important; padding-left: 15px !important; }
+
+/* style the links */
+#archnavbar ul#archnavbarlist li a { color: #999; font-weight: normal !important; text-decoration: none !important; }
+#archnavbar ul li a:hover { color: white !important; text-decoration: underline !important; }
+
+/* archdev navbar */
+div#archdev-navbar { margin: 1.5em 0; }
+div#archdev-navbar ul { list-style: none; margin: -0.5em 0; padding: 0; }
+div#archdev-navbar li { display: inline; margin: 0; padding: 0; font-size: 0.9em; }
+div#archdev-navbar li a { padding: 0 0.5em; color: #07b; }
+
+/* highlight current website */
+#archnavbar.anb-aur ul li#anb-aur a { color: white !important; }
diff --git a/web/lib/aur.inc b/web/lib/aur.inc
index 37f18f8..3c89cb5 100644
--- a/web/lib/aur.inc
+++ b/web/lib/aur.inc
@@ -422,6 +422,14 @@ function uid_from_email($email="")
 	return $row[0];
 }
 
+# check user privileges
+#
+function is_tu()
+{
+	$type = account_from_sid($_COOKIE['AURSID']);
+	return ($type == 'Trusted User' || $type == 'Developer');
+}
+
 /**
  * Generate clean url with edited/added user values
  *
diff --git a/web/template/header.php b/web/template/header.php
index 3f8cff1..e2de35c 100644
--- a/web/template/header.php
+++ b/web/template/header.php
@@ -8,47 +8,44 @@
 	<link rel='stylesheet' type='text/css' href='css/fonts.css' />
 	<link rel='stylesheet' type='text/css' href='css/containers.css' />
 	<link rel='stylesheet' type='text/css' href='css/arch.css' />
+	<link rel='stylesheet' type='text/css' href='css/archnavbar/archnavbar.css' />
 	<link rel='shortcut icon' href='images/favicon.ico' />
 	<link rel='alternate' type='application/rss+xml' title='Newest Packages RSS' href='rss.php' />
 	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
   </head>
-  <body>
-      <div id="title">
-        <div id="logo"><h1 id="archtitle"><a href="http://www.archlinux.org/" title="Arch Linux (Home)">Arch Linux</a></h1></div>
-      </div>
-      <div id="main_nav">
-          <a href="http://www.archlinux.org/">Home</a>
-          <a href="http://bbs.archlinux.org/">Forums</a>
-          <a href="http://wiki.archlinux.org/">Wiki</a>
-          <a href="http://bugs.archlinux.org/">Bugs</a>
-          <a class="selected" href="index.php">AUR</a>
-          <a href="http://www.archlinux.org/download/">Download</a>
-      </div>
-      <div id="sub_nav">
-	<a href="index.php">AUR <?php print __("Home"); ?></a>
-	<a href="account.php"><?php print __("Accounts"); ?></a>
-	<a href="packages.php"><?php print __("Packages"); ?></a>
-	<a href="http://bugs.archlinux.org/index.php?tasks=all&amp;project=2"><?php print __("Bugs"); ?></a>
-	<a href="http://archlinux.org/mailman/listinfo/aur-general">
-	<?php print __("Discussion"); ?></a>
-<?php
-if (isset($_COOKIE["AURSID"])) {
-	$SID = $_COOKIE['AURSID'];
-	$atype = account_from_sid($SID);
-	if ($atype == "Trusted User" || $atype == "Developer") {
-?>
-	<a href="tu.php"><?php print __("Trusted User"); ?></a>
-<?php
-	}
-?>
-	<a href="packages.php?SeB=m&K=<?php print username_from_sid($_COOKIE["AURSID"]); ?>"><?php print __("My Packages"); ?></a>
-	<a href="pkgsubmit.php"><?php print __("Submit"); ?></a>
-<?php
-}
-?>
+	<body>
+		<div id="archnavbar" class="anb-aur">
+			<div id="archnavbarlogo"><h1><a href="/" title="Return to the main page">Arch Linux</a></h1></div>
+			<div id="archnavbarmenu">
+				<ul id="archnavbarlist">
+					<li id="anb-home"><a href="http://archlinux.org/" title="Arch news, packages, projects and more">Home</a></li>
+					<li id="anb-packages"><a href="http://archlinux.org/packages/" title="Arch Package Database">Packages</a></li>
+					<li id="anb-forums"><a href="http://bbs.archlinux.org/" title="Community forums">Forums</a></li>
+					<li id="anb-wiki"><a href="http://wiki.archlinux.org/" title="Community documentation">Wiki</a></li>
+					<li id="anb-bugs"><a href="http://bugs.archlinux.org/" title="Report and track bugs">Bugs</a></li>
+					<li id="anb-aur"><a href="http://aur.archlinux.org/" title="Arch Linux User Repository">AUR</a></li>
+					<li id="anb-download"><a href="http://archlinux.org/download/" title="Get Arch Linux">Download</a></li>
+				</ul>
+			</div>
+		</div><!-- #archnavbar -->
+
+		<div id="archdev-navbar">
+			<ul>
+				<li><a href="index.php">AUR <?php print __("Home"); ?></a></li>
+				<li><a href="account.php"><?php print __("Accounts"); ?></a></li>
+				<li><a href="packages.php"><?php print __("Packages"); ?></a>
+				<li><a href="http://bugs.archlinux.org/index.php?tasks=all&amp;project=2"><?php print __("Bugs"); ?></a></li>
+				<li><a href="http://archlinux.org/mailman/listinfo/aur-general"><?php print __("Discussion"); ?></a></li>
+				<?php if (isset($_COOKIE['AURSID'])): ?>
+					<?php if (is_tu()): ?><li><a href="tu.php"><?php print __("Trusted User"); ?></a><?php endif; ?>
+					<li><a href="packages.php?SeB=m&K=<?php print username_from_sid($_COOKIE["AURSID"]); ?>"><?php print __("My Packages"); ?></a></li>
+					<li><a href="pkgsubmit.php"><?php print __("Submit"); ?></a></li>
+				<?php endif; ?>
+			</ul>
+		</div><!-- #archdev-navbar -->
+
+		<?php include("login_form.php"); ?>
 
-      </div>
-	<?php include("login_form.php"); ?>
 	<div id="lang_sub">
 <?php
 reset($SUPPORTED_LANGS);
-- 
1.7.1